PHP-FPM use-socket stopped working after update

Discussion in 'Installation/Configuration' started by superflused, Oct 29, 2014.

  1. superflused

    superflused New Member

    Hi all,

    today i've updated ISPC to
    But now it seems that the checkbox 'use_socket' in PHP-FPM configuration won't be accepted anymore. So the generated Apache VHost tries to connect to a linux socket which is not being created since php-fpm configuration of host opens a tcp-socket.

    Is this a known issue? Is it possible that my conf-templates are corrupted?

    Thank you very much.

    Best regards,

  2. till

    till Super Moderator Staff Member ISPConfig Developer

    There are no known problems, but the vhost template has been changed, so if you use a custom template, then ensure that you updated your template.

    Which Linux distribution do you use?

    and post the output of:

    apache2ctl -t -D DUMP_MODULES
  3. superflused

    superflused New Member

    I'm not using custom templates. I will have a look at it...

    I'm using Debian Wheezy and apache2ctl -t -D DUMP_MODULES returns the following:

    Loaded Modules:
    core_module (static)
    log_config_module (static)
    logio_module (static)
    version_module (static)
    mpm_prefork_module (static)
    http_module (static)
    so_module (static)
    actions_module (shared)
    alias_module (shared)
    auth_basic_module (shared)
    auth_digest_module (shared)
    authn_file_module (shared)
    authz_default_module (shared)
    authz_groupfile_module (shared)
    authz_host_module (shared)
    authz_user_module (shared)
    autoindex_module (shared)
    cgi_module (shared)
    dav_module (shared)
    dav_fs_module (shared)
    deflate_module (shared)
    dir_module (shared)
    env_module (shared)
    fastcgi_module (shared)
    fcgid_module (shared)
    include_module (shared)
    mime_module (shared)
    negotiation_module (shared)
    php5_module (shared)
    python_module (shared)
    reqtimeout_module (shared)
    rewrite_module (shared)
    ruby_module (shared)
    setenvif_module (shared)
    ssl_module (shared)
    status_module (shared)
    suexec_module (shared)
    Syntax OK

    Thanks and best regards,

  4. till

    till Super Moderator Staff Member ISPConfig Developer

    This looks fine so far. Please do the following steps to ensure that all files are correct:

    cd /tmp
    tar xvfz ISPConfig-3-stable.tar.gz
    cd ispconfig3_install/install
    php -q update.php
    to rerun the update. Then enable php-fpm for the website off and then on again and wait until the changes have been written to disk and check if it works then.
  5. superflused

    superflused New Member

    Done - but changed nothing.

    I've checked 'Use Socket For PHP-FPM' but webX.conf (fpm-conf) still generates

    listen =
    listen.allowed_clients =

    instead of eg:

    listen = /var/lib/php5-fpm/web4.sock
    listen.owner = web4 = client3
    listen.mode = 0660

    Any ideas?

    Thank you very much!

  6. till

    till Super Moderator Staff Member ISPConfig Developer

    I think I found the source of the issue. I just uploaded a new version, please rerun the update to see if this fixes the issue on your server.
  7. superflused

    superflused New Member

    Okay, i've downloaded the stable release again and rerun update but nothing changed.

    Ah and i forgot to mention that this is a master-slave scenario. Its a master server with VM management and a web-slave running ISPConfig, too. Maybe this is an important note? Sorry!
  8. till

    till Super Moderator Staff Member ISPConfig Developer

    Ensure that you really installed the update. If you had the previous version still in /tmp, then you installed the old version again. And ensure that you installed it on the slave that runs the webserver.
  9. superflused

    superflused New Member

    Oh no - damn, am i stupid...

    Okay, it works now. Thank you very much and sorry for confusion!

Share This Page